org.eclipse.actf.visualization.ui

## Class VisualizationStatusLineContributionItem

- java.lang.Object
- - org.eclipse.jface.action.ContributionItem
  - - org.eclipse.actf.visualization.ui.VisualizationStatusLineContributionItem

All Implemented Interfaces:
  IContributionItem

    public class VisualizationStatusLineContributionItem
    extends ContributionItem

Status line contribution item commonly used in visualization components
example: ViewPart.getViewSite().getActionBars().getStatusLineManager().add(new VisualizationStatusLineContributionItem(id));

### Field Summary

Fields
`static String` `ID` ID

### Constructor Summary

Constructors
Constructor and Description
`VisualizationStatusLineContributionItem(String id)` Constructor of the class

### Method Summary

Methods
`void` `fill(Composite parent)`
`void` `setInfoMessage(String infoMessage)` Set information message to status line
`void` `setStatusMessage(String statusMessage)` Set status message to status line

### Methods inherited from class org.eclipse.jface.action.ContributionItem

`dispose, fill, fill, fill, getId, getParent, isDirty, isDynamic, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setId, setParent, setVisible, toString, update, update`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

ID

See Also:
  Constant Field Values

### Constructor Detail

#### VisualizationStatusLineContributionItem

    public VisualizationStatusLineContributionItem(String id)

Constructor of the class

Parameters:
  `id` - contribution item ID

### Method Detail

#### fill

    public void fill(Composite parent)

Specified by:
  `fill` in interface `IContributionItem`
Overrides:
  `fill` in class `ContributionItem`

#### setStatusMessage

    public void setStatusMessage(String statusMessage)

Set status message to status line

Parameters:
  `statusMessage` - status message

#### setInfoMessage

    public void setInfoMessage(String infoMessage)

Set information message to status line

Parameters:
  `infoMessage` - information message